package org.develop.officialjournal.controllers;

import org.develop.officialjournal.services.Database;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import dao.DAOJudge;
import entity.Judge;

@RestController
public class JudgeController {

	private DAOJudge daoJudge;

	public JudgeController() {

		daoJudge =  Database.get().getDaoJudge();
		
	}


	/**returns lawyer by id*/

	@RequestMapping("/judge/{id}")
	public Judge getById(@PathVariable Integer id ) {

		Judge judge = this.daoJudge.get(id);
		return judge;

	}
	
	@RequestMapping("/judge/{id}/info")
	public Judge getInfoById(@PathVariable Integer id ) {

		Judge judge = this.daoJudge.get(id);
		return judge;

	}
	

	@RequestMapping("/judge/")
	public Judge getByName(@RequestParam (required = true) String name ) {

		Judge judge = new Judge(name);
		return daoJudge.get(judge);
	}
}