package org.develop.officialjournal.services;

import java.sql.Connection;

import connector.Connector;
import dao.DAOEntity;
import dao.DAOJudge;
import dao.DAOLawyer;
import dao.DAOProcess;
import dao.DAOSearch;

public class Database {

	private Connector connector;
	private DAOSearch daoSearch;
	private DAOLawyer daoLawyer;
	private DAOEntity daoEntity;
	private DAOJudge daoJudge;
	private DAOProcess daoProcess;

	public Database() {

		this.connector = new Connector();
		Connection connection = connector.getConnection();
		this.setDaoJudge(new DAOJudge(connection));
		this.setDaoLawyer(new DAOLawyer(connection));
		this.setDaoJudge(new DAOJudge(connection));
		this.setDaoSearch(new DAOSearch(connection));
		this.setDaoEntity(new DAOEntity(connection));
		
	}
	
	private static Database database;
	
	public static Database get()
	{
		if(database == null)
			database = new Database();
		
		return database;
		
	}
	
	

	/**
	 * @return the daoSearch
	 */
	public DAOSearch getDaoSearch() {
		return daoSearch;
	}

	/**
	 * @param daoSearch the daoSearch to set
	 */
	public void setDaoSearch(DAOSearch daoSearch) {
		this.daoSearch = daoSearch;
	}

	/**
	 * @return the daoLawyer
	 */
	public DAOLawyer getDaoLawyer() {
		return daoLawyer;
	}

	/**
	 * @param daoLawyer the daoLawyer to set
	 */
	public void setDaoLawyer(DAOLawyer daoLawyer) {
		this.daoLawyer = daoLawyer;
	}

	/**
	 * @return the daoJudge
	 */
	public DAOJudge getDaoJudge() {
		return daoJudge;
	}

	/**
	 * @param daoJudge the daoJudge to set
	 */
	public void setDaoJudge(DAOJudge daoJudge) {
		this.daoJudge = daoJudge;
	}

	/**
	 * @return the daoProcess
	 */
	public DAOProcess getDaoProcess() {
		if(this.daoProcess == null)
		{
			this.daoProcess = new DAOProcess(connector.getConnection());
		}
		return daoProcess;
	}

	/**
	 * @param daoProcess the daoProcess to set
	 */
	public void setDaoProcess(DAOProcess daoProcess) {
		this.daoProcess = daoProcess;
	}


	/**
	 * @return the daoEntity
	 */
	public DAOEntity getDaoEntity() {
		return daoEntity;
	}



	/**
	 * @param daoEntity the daoEntity to set
	 */
	public void setDaoEntity(DAOEntity daoEntity) {
		this.daoEntity = daoEntity;
	}

}