mainApp.controller("searchController", function($scope, $http, $mdDialog ) {

	var urlBase = "http://localhost:8080"



		/**Search the entity*/
		$scope.search = function(){
		var url =urlBase+"/search"+"?text="+$scope.entity.text;
		$http.get(url).then(function(response) {
			$scope.entity =  response.data;
			$scope.processList=[];

		});
	};


	/**Return all process from entity*/
	$scope.getProcessEntity = function(){
		var url =urlBase+"/process/entity?type="+$scope.entity.type +"&entityId="+$scope.entity.id;
		var size = $scope.processList.length;
		if($scope.processList != undefined && size > 0   )
		{
			url = url +"&processId="+$scope.processList[size -1].id;
		}

		
		$http.get(url) .then(function(response) {
			
			$scope.processList =  response.data;
			var k=0;

			for( var i in $scope.processList)
			{
				var process =  $scope.processList[i];
				
				
				var urlProcess =urlBase+"/process/"+process.id+"/all";

				if(process.lawyers.length == 0)
				{
					$http.get(urlProcess).then(function(response) {
						$scope.processList[k] =  response.data;
						k++;
						
					});
				}
				
			}
		
		
		});
		
		
		
		
		
	};



	/**Return all process from process Number*/
	$scope.getProcessNumber = function(processNumber ){

		var url =urlBase+"/process/number?processNumber="+processNumber;
		var size = $scope.processList.length;
		$http.get(url) .then(function(response) {$scope.processList =  response.data;});
	};

	$scope.processList=[];
	$scope.showVerdict = function(process) {


		$mdDialog.show({
			clickOutsideToClose: true,
			scope: $scope,        // use parent scope in template
			preserveScope: true,  // do not forget this if use parent scope

			template: "<div id=\"verditctText\" > " +
			" <div id=\"verdictTitle\">"+process.process.judge.name+"</div>"
			+process.process.verdict.replace(/\n\r?/g, '<br />') +
			"</div>",
			controller: function DialogController($scope, $mdDialog) {
				$scope.closeDialog = function() {
					$mdDialog.hide();
				}
			}
		});


	};
	
	/**Show a popUp with a process**/

	$scope.showPopUp = function(process)
	{
		var judge  = " <p> JUIZ: "+process.process.judge.name +" </p> ";
		var lawyer = "";

		for(var i in process.process.lawyers)
		{
			var lawyerObj = process.process.lawyers[i];
			if(lawyerObj.id != 22)
			{
				lawyer = lawyer + "<p> ADVOGADO: "+lawyerObj.name +" </p>";
			}
		}
		var entities = "";
		for(var i in process.process.otherEntities)
		{
			var entityObject = process.process.otherEntities[i];

			entities = entities +  "<p> "+entityObject.type+" : "+entityObject.name +" </p>";

		}

		var modalText = "<div id=\"verditctText\" > " + judge + lawyer + entities +"</div>"

		$mdDialog.show({
			clickOutsideToClose: true,
			scope: $scope,        // use parent scope in template
			preserveScope: true,  // do not forget this if use parent scope
			template: modalText	,
			controller: function DialogController($scope, $mdDialog) {
				$scope.closeDialog = function() {
					$mdDialog.hide();
				}
			}
		});
		
		
	};
	
	
	/**Get All Info about the user*/
	
	$scope.getInfo = function(process) {

		var url =urlBase+"/process/"+process.process.id+"/all";

		if(process.process.lawyers.length == 0)
		{
			$http.get(url) .then(function(response) {
				process.process =  response.data;
				$scope.showPopUp(process);
			});
		}
		else{
			$scope.showPopUp(process);
		}
	};


	/**Info of entity and build the graphic**/

	$scope.getInfoEntity = function(){

		var url =urlBase+"/search/info?type="+$scope.entity.type +"&entityId="+$scope.entity.id;
		var size = $scope.processList.length;

		$http.get(url) .then(function(response) {

			$scope.myChartObject = {};
			$scope.myChartObject.type = "ColumnChart";


			$scope.myChartObject.data = 
			{
					"cols": [   {id: "t", label: "Topping", type: "string"},
					            {id: "s", label: "Diarios", type: "number" } ,
					            {role: "style", type: "string"} 


					            ], 
					            "rows": [
					                     {c: [{v: "Deferidos"},	{v: response.data.deferredProcess }	,	{v: "green"} 	]},
					                     {c: [{v: "Indeferidos"},	{v: response.data.rejectedProcess } ,	{v: "red"}		]},
					                     {c: [{v: "Transito"},	{v: response.data.transtitProcess }	,	{v: "beige"}	]}  
					                     ]
			};

			$scope.myChartObject.options = {'title': 'Informaçoes sobre a entidade'	};



		});

	};







});


